# gdcm::Element< TVR, VM::VM1_n > Class Template Reference

`#include <gdcmElement.h>`

Inheritance diagram for gdcm::Element< TVR, VM::VM1_n >:
[legend]

List of all members.

## Public Types

typedef VRToType< TVR >::Type | Type

## Public Member Functions

| Element ()
| Element (const Element &_val)
| ~Element ()
DataElement | GetAsDataElement () const
unsigned long | GetLength () const
VRToType< TVR >::Type & | GetValue (unsigned int idx=0)
const VRToType< TVR >::Type & | GetValue (unsigned int idx=0) const
Element & | operator= (const Element &_val)
VRToType< TVR >::Type | operator[] (unsigned int idx) const
void | Print (std::ostream &_os) const
void | Read (std::istream &_is)
void | Set (Value const &v)
void | SetArray (const Type *array, unsigned long len, bool save=false)
void | SetFromDataElement (DataElement const &de)
void | SetLength (unsigned long len)
void | SetValue (typename VRToType< TVR >::Type v, unsigned int idx=0)
void | Write (std::ostream &_os) const
void | WriteASCII (std::ostream &os) const

## Protected Member Functions

void | SetNoSwap (Value const &v)

### template<int TVR>
class gdcm::Element< TVR, VM::VM1_n >

## Member Typedef Documentation

template<int TVR>

typedef VRToType<TVR>::Type gdcm::Element< TVR, VM::VM1_n >::Type

## Constructor & Destructor Documentation

template<int TVR>

gdcm::Element< TVR, VM::VM1_n >::Element | ( |  | ) | `[inline, explicit]`

template<int TVR>

gdcm::Element< TVR, VM::VM1_n >::~Element | ( |  | ) | `[inline]`

References gdcm::Element< TVR, TVM >::Internal.

template<int TVR>

gdcm::Element< TVR, VM::VM1_n >::Element | ( | const Element< TVR, VM::VM1_n > & | _val | ) | `[inline]`

## Member Function Documentation

template<int TVR>

DataElement gdcm::Element< TVR, VM::VM1_n >::GetAsDataElement | ( |  | ) | const`[inline]`

References gdcm::Element< TVR, TVM >::GetLength(), gdcm::Element< TVR, TVM >::Internal, gdcm::DataElement::SetByteValue(), gdcm::DataElement::SetVR(), and gdcm::Element< TVR, TVM >::Write().

template<int TVR>

unsigned long gdcm::Element< TVR, VM::VM1_n >::GetLength | ( |  | ) | const`[inline]`

template<int TVR>

const VRToType<TVR>::Type& gdcm::Element< TVR, VM::VM1_n >::GetValue | ( | unsigned int | idx = `0` | ) | const`[inline]`

template<int TVR>

VRToType<TVR>::Type& gdcm::Element< TVR, VM::VM1_n >::GetValue | ( | unsigned int | idx = `0` | ) | `[inline]`

template<int TVR>

Element& gdcm::Element< TVR, VM::VM1_n >::operator= | ( | const Element< TVR, VM::VM1_n > & | _val | ) | `[inline]`

template<int TVR>

VRToType<TVR>::Type gdcm::Element< TVR, VM::VM1_n >::operator[] | ( | unsigned int | idx | ) | const`[inline]`

References gdcm::Element< TVR, TVM >::GetValue().

template<int TVR>

void gdcm::Element< TVR, VM::VM1_n >::Print | ( | std::ostream & | _os | ) | const`[inline]`

References gdcm::Element< TVR, TVM >::GetLength().

template<int TVR>

void gdcm::Element< TVR, VM::VM1_n >::Read | ( | std::istream & | _is | ) | `[inline]`

References gdcm::Element< TVR, TVM >::GetLength(), gdcm::Element< TVR, TVM >::Internal, and gdcm::Element< TVR, TVM >::Read().

template<int TVR>

void gdcm::Element< TVR, VM::VM1_n >::Set | ( | Value const & | v | ) | `[inline]`

References gdcm::Element< TVR, TVM >::GetLength(), gdcm::ByteValue::GetLength(), gdcm::ByteValue::GetPointer(), gdcm::Element< TVR, TVM >::Internal, gdcm::Element< TVR, TVM >::Read(), and gdcm::VR::VRBINARY.

template<int TVR>

void gdcm::Element< TVR, VM::VM1_n >::SetArray | ( | const Type * | array,
|  | unsigned long | len,
|  | bool | save = `false`
| ) |  | `[inline]`

template<int TVR>

void gdcm::Element< TVR, VM::VM1_n >::SetFromDataElement | ( | DataElement< TVR, VM::VM1_n > const & | de | ) | `[inline]`

References gdcm::DataElement::GetByteValue(), gdcm::DataElement::GetValue(), gdcm::DataElement::GetVR(), gdcm::VR::INVALID, gdcm::Element< TVR, TVM >::Set(), gdcm::Element< TVR, TVM >::SetNoSwap(), and gdcm::VR::UN.

template<int TVR>

void gdcm::Element< TVR, VM::VM1_n >::SetLength | ( | unsigned long | len | ) | `[inline]`

References gdcm::Element< TVR, TVM >::Internal.

template<int TVR>

void gdcm::Element< TVR, VM::VM1_n >::SetNoSwap | ( | Value const & | v | ) | `[inline, protected]`

References gdcm::Element< TVR, TVM >::GetLength(), gdcm::ByteValue::GetLength(), gdcm::ByteValue::GetPointer(), gdcm::Element< TVR, TVM >::Internal, and gdcm::VR::VRBINARY.

template<int TVR>

void gdcm::Element< TVR, VM::VM1_n >::SetValue | ( | typename VRToType< TVR >::Type | v,
|  | unsigned int | idx = `0`
| ) |  | `[inline]`

template<int TVR>

void gdcm::Element< TVR, VM::VM1_n >::Write | ( | std::ostream & | _os | ) | const`[inline]`

References gdcm::Element< TVR, TVM >::GetLength(), gdcm::Element< TVR, TVM >::Internal, and gdcm::Element< TVR, TVM >::Write().

template<int TVR>

void gdcm::Element< TVR, VM::VM1_n >::WriteASCII | ( | std::ostream & | os | ) | const`[inline]`

References gdcm::Element< TVR, TVM >::GetLength(), and gdcm::Element< TVR, TVM >::Write().

The documentation for this class was generated from the following file:

- gdcmElement.h